from models.model import Model


class ExperimentModel(Model):
    def __init__(self):
        self.collection_name = "experiments"
        self.allowed_params = {
            'condensate_id': str
        }
        self.unique_key = "exp_id"
        self.attributes = [
            'exp_id',
            'temperature',
            'detection_method',
            'is_phase_separated',
            'ph_value',
            'salts',
            'publication_link',
            'morphology',
            'solute_concentrations'
        ]
